﻿
namespace Hotline.Share.Dtos.TrCallCenter
{
    #region 分机
    public class TrTelDto
    {
        public string Id { get; set; }

        public string Name { get; set; }

        public string TelNo { get; set; }

        public string Description { get; set; }
    }

    #endregion

    #region 黑白名单
    public class TrAddBlacklistDto
    {
        public string Phone { get; set; }

        public int SpecialFlag { get; set; }
    }

    public class TrDelBlacklistDto
    {
        public string Phone { get; set; }

        public int? SpecialFlag { get; set; }
    }

    public class TrQueryBlacklistDto
    {
        public string? Phone { get; set; }

        /// <summary>
        /// 1:白名单;2:呼入黑名单;3:呼出黑名单;4:呼入呼出黑名单;
        /// </summary>
        public int? SpecialFlag { get; set; }
    }

    public class TrQueryBlacklistResponseDto
    {
        public string Id { get; set; }

        public string UserId { get; set; }

        public DateTime CreationTime { get; set; }

        public string Phone { get; set; }

        public int SpecialFlag { get; set; }

        public int? Priority { get; set; }
    }
    #endregion

    #region 登录

    public class TrOnDutyDto
    {
        public string? TelNo { get; set; }
    }

    public class TrOnDutyResponseDto
    {
        public string? TelNo { get; set; }

        public string? TelPwd { get; set; }

        public string? Description { get; set; }
    }


    #endregion


    #region 通话记录

    public class ReceiveCallRecordDto
    {
        /// <summary>
        /// IPPBX用户名
        /// </summary>
        public string user { get; set; }

        /// <summary>
        /// 可直接访问的通话录音地址
        /// </summary>
        public string? recording_file_url { get; set; }

        /// <summary>
        /// 呼叫方向：呼入 in / 呼出 out
        /// </summary>
        public string call_direction { get; set; }

        /// <summary>
        /// 挂断方：主叫挂断 caller / 被叫挂断 callee / 其他未知情况
        /// </summary>
        public string hangup_side { get; set; }

        /// <summary>
        /// 坐席侧通话流水，无坐席参与则为手机侧通话流水
        /// </summary>
        public string call_accept { get; set; }

        /// <summary>
        /// 主叫号码
        /// </summary>
        public string caller_id_name { get; set; }

        /// <summary>
        /// 主叫号码
        /// </summary>
        public string caller_id_number { get; set; }

        /// <summary>
        /// 被叫号码
        /// </summary>
        public string destination_number { get; set; }

        /// <summary>
        /// 通话录音绝对路径
        /// </summary>
        public string? recording_file_name { get; set; }

        /// <summary>
        /// 通话创建时间
        /// </summary>
        public DateTime created_time { get; set; }

        /// <summary>
        /// 接通时间
        /// </summary>
        public DateTime? answered_time { get; set; }

        /// <summary>
        /// 挂机时间
        /// </summary>
        public DateTime over_time { get; set; }

        /// <summary>
        /// 线路号
        /// </summary>
        public string gateway { get; set; }

        /// <summary>
        /// 呼出时自定义的内容
        /// </summary>
        public string? other_str { get; set; }

        /// <summary>
        /// 手机侧通话流水，无坐席参与则为空
        /// </summary>
        public string? other_accept { get; set; }

        /// <summary>
        /// 状态码，语音信箱：999/其他：16
        /// </summary>
        public string status { get; set; }

        /// <summary>
        /// IVR开始时间
        /// </summary>
        public DateTime? beginIvrTime { get; set; }

        /// <summary>
        /// IVR结束时间
        /// </summary>
        public DateTime? endIvrTime { get; set; }

        /// <summary>
        /// 开始等待时间
        /// </summary>
        public DateTime? beginQueueTime { get; set; }

        /// <summary>
        /// 结束等待时间
        /// </summary>
        public DateTime? endQueueTime { get; set; }

        /// <summary>
        /// 开始振铃时间
        /// </summary>
        public DateTime? beginRingTime { get; set; }

        /// <summary>
        /// 结束振铃时间
        /// </summary>
        public DateTime? endRingTime { get; set; }

        /// <summary>
        /// 队列ID
        /// </summary>
        public string? ola_queue { get; set; } 

        /// <summary>
        /// 批量外呼流水
        /// </summary>
        public string? batch_accept { get; set; } 

        /// <summary>
        /// IVR按键信息
        /// </summary>
        public string? ivr_dtmf { get; set; }

        /// <summary>
        /// IVR按键对应动作，需解码
        /// </summary>
        public string? dtmf_type { get; set; }
    }

    #endregion
}
