﻿// Copyright (c) 2018 Jon P Smith, GitHub: JonPSmith, web: http://www.thereformedprogrammer.net/
// Licensed under MIT license. See License.txt in the project root for license information.

using System.ComponentModel.DataAnnotations;

namespace Hotline.Permissions
{
    public enum EPermission
    {
        NotSet = 0, //error condition

        //Here is an example of very detailed control over something
        /// <summary>
        /// 首页
        /// </summary>
        [Display(GroupName = "首页", Name = "首页", Description = "首页")]
        Home = 000000,

        #region 系统管理相关接口（100）

        /// <summary>
        /// 系统管理
        /// </summary>
        [Display(GroupName = "系统管理", Name = "系统管理", Description = "系统管理")]
        SystemManage = 100000,

        /// <summary>
        /// 组织架构
        /// </summary>
        [Display(GroupName = "系统管理", Name = "组织架构", Description = "组织架构")]
        UserManage = 100100,
        #region 用户管理（100100）
        /// <summary>
        /// 分页查询用户
        /// </summary>
        [Display(GroupName = "用户管理", Name = "分页查询用户", Description = "分页查询用户")]
        QueryPagedUser = 100101,
        /// <summary>
        /// 新增用户
        /// </summary>
        [Display(GroupName = "用户管理", Name = "新增用户", Description = "新增用户")]
        AddUser = 100102,
        /// <summary>
        /// 更新用户
        /// </summary>
        [Display(GroupName = "用户管理", Name = "更新用户", Description = "更新用户")]
        UpdateUser = 100103,
        /// <summary>
        /// 删除用户
        /// </summary>
        [Display(GroupName = "用户管理", Name = "删除用户", Description = "删除用户")]
        RemoveUser = 100104,
        /// <summary>
        /// 设置用户角色
        /// </summary>
        [Display(GroupName = "用户管理", Name = "设置用户角色", Description = "设置用户角色")]
        SetUserRoles = 100105,
        /// <summary>
        /// 分页查询用户角色
        /// </summary>
        [Display(GroupName = "用户管理", Name = "分页查询用户角色", Description = "分页查询用户角色")]
        GetUserRoles = 100106,
        #endregion
        #region 角色管理（100200）
        /// <summary>
        /// 分页查询角色
        /// </summary>
        [Display(GroupName = "角色管理", Name = "分页查询角色", Description = "分页查询角色")]
        QueryPagedRole = 100200,
        /// <summary>
        /// 新增角色
        /// </summary>
        [Display(GroupName = "角色管理", Name = "新增角色", Description = "新增角色")]
        AddRole = 100201,
        /// <summary>
        /// 删除角色
        /// </summary>
        [Display(GroupName = "角色管理", Name = "删除角色", Description = "删除角色")]
        RemoveRole = 100202,
        /// <summary>
        /// 更新角色
        /// </summary>
        [Display(GroupName = "角色管理", Name = "更新角色", Description = "更新角色")]
        UpdateRole = 100203,
        #region 应用权限管理
        /// <summary>
        /// 分配权限
        /// </summary>
        [Display(GroupName = "角色管理", Name = "分配权限", Description = "分配权限")]
        AllocationAuthority = 100204,
        /// <summary>
        /// 获取角色权限
        /// </summary>
        [Display(GroupName = "角色管理", Name = "获取角色权限", Description = "获取角色权限")]
        GetAuthority = 100205,

        #endregion
        #region 数据权限管理
        /// <summary>
        /// 新增数据权限
        /// </summary>
        [Display(GroupName = "角色管理", Name = "新增数据权限", Description = "新增数据权限")]
        AddDataAuthority = 100206,
        /// <summary>
        /// 修改数据权限
        /// </summary>
        [Display(GroupName = "角色管理", Name = "修改数据权限", Description = "修改数据权限")]
        UpdateDataAuthority = 100207,
        /// <summary>
        /// 删除数据权限
        /// </summary>
        [Display(GroupName = "角色管理", Name = "删除数据权限", Description = "删除数据权限")]
        RemoveDataAuthority = 100208,
        /// <summary>
        /// 获取数据权限
        /// </summary>
        [Display(GroupName = "角色管理", Name = "获取数据权限", Description = "获取数据权限")]
        GetDataAuthorityByRole = 100209,
        #endregion
        #endregion
        #region 系统参数（100300）

        /// <summary>
        /// 获取系统参数列表
        /// </summary>
        [Display(GroupName = "系统设置", Name = "获取系统参数列表", Description = "获取系统参数列表")]
        GetSysSettingsAsync = 100300,
        /// <summary>
        /// 更新设置
        /// </summary>
        [Display(GroupName = "系统设置", Name = "更新设置", Description = "更新设置")]
        ModifySettings = 100301,

        /// <summary>
        /// 获取系统参数对象
        /// </summary>
        [Display(GroupName ="系统设置",Name ="获取系统参数对象",Description = "获取系统参数对象")]
        GetSettingEntityAsync = 100302,

        /// <summary>
        /// 新增系统参数
        /// </summary>
        [Display(GroupName ="系统设置",Name = "新增系统参数",Description = "新增系统参数")]
        AddSettingAsync = 100303,


        #endregion
        #region 菜单管理（100400）
        /// <summary>
        /// 菜单管理
        /// </summary>
        [Display(GroupName = "系统设置", Name = "菜单管理", Description = "菜单管理")]
        GetMenuJson = 100400,
        /// <summary>
        /// 新增菜单
        /// </summary>
        [Display(GroupName = "系统设置", Name = "新增菜单", Description = "新增菜单")]
        AddMenu = 100401,
        /// <summary>
        /// 修改菜单
        /// </summary>
        [Display(GroupName = "系统设置", Name = "修改菜单", Description = "修改菜单")]
        UpdateMenu = 100402,
        /// <summary>
        /// 删除菜单
        /// </summary>
        [Display(GroupName = "系统设置", Name = "删除菜单", Description = "删除菜单")]
        RemoveMenu = 100403,
        /// <summary>
        /// 获取菜单对象
        /// </summary>
        [Display(GroupName = "系统设置", Name = "获取菜单对象", Description = "获取菜单对象")]
        GetMenu = 100408,
        #endregion
        #region 组织架构管理（100500）
        /// <summary>
        /// 组织架构树形列表
        /// </summary>
        [Display(GroupName = "系统设置", Name = "组织架构树形列表", Description = "组织架构树形列表")]
        GetOrgJson = 100500,
        /// <summary>
        /// 新增组织
        /// </summary>
        [Display(GroupName = "系统设置", Name = "新增组织", Description = "新增组织")]
        AddOrg = 100501,
        /// <summary>
        /// 修改组织
        /// </summary>
        [Display(GroupName = "系统设置", Name = "修改组织", Description = "修改组织")]
        UpdateOrg = 100502,
        /// <summary>
        /// 获取组织
        /// </summary>
        [Display(GroupName = "系统设置", Name = "获取组织", Description = "获取组织")]
        GetOrg = 100503,
        /// <summary>
        /// 获取可用组织架构树形
        /// </summary>
        [Display(GroupName = "系统设置", Name = "获取可用组织架构树形", Description = "获取可用组织架构树形")]
        GetCanUseOrg = 100504,
        #endregion
        #region 配置管理（100600）

        #region 字典管理
        /// <summary>
        /// 字典类型列表
        /// </summary>
        [Display(GroupName = "系统设置", Name = "字典类型列表", Description = "字典类型列表")]
        GetSysDicType = 100601,
        /// <summary>
        /// 字典数据列表
        /// </summary>
        [Display(GroupName = "系统设置", Name = "字典数据列表", Description = "字典数据列表")]
        GetSysDicData = 100602,
        /// <summary>
        /// 获取字典对象
        /// </summary>
        [Display(GroupName = "系统设置", Name = "获取字典对象", Description = "获取字典对象")]
        SysDicDataModel = 100603,
        /// <summary>
        /// 新增字典数据
        /// </summary>
        [Display(GroupName = "系统设置", Name = "新增字典数据", Description = "新增字典数据")]
        AddDicData = 100604,
        /// <summary>
        /// 修改字典数据
        /// </summary>
        [Display(GroupName = "系统设置", Name = "修改字典数据", Description = "修改字典数据")]
        UpdateDicData = 100605,

        #endregion

        #region 流程配置

        /// <summary>
        /// 查询流程模板
        /// </summary>
        [Display(GroupName = "Flow", Name = "查询流程模板", Description = "查询流程模板")]
        FlowDefinitionQuery = 100650,

        /// <summary>
        /// 新建流程模板
        /// </summary>
        [Display(GroupName = "Flow", Name = "新建流程模板", Description = "新建流程模板")]
        FlowDefinitionAdd = 100651,

        /// <summary>
        /// 删除流程模板
        /// </summary>
        [Display(GroupName = "Flow", Name = "删除流程模板", Description = "删除流程模板")]
        FlowDefinitionRemove = 100652,

        /// <summary>
        /// 更新流程模板
        /// </summary>
        [Display(GroupName = "Flow", Name = "更新流程模板", Description = "更新流程模板")]
        FlowDefinitionUpdate = 100653,

        /// <summary>
        /// 发布流程模板
        /// </summary>
        [Display(GroupName = "Flow", Name = "发布流程模板", Description = "发布流程模板")]
        FlowDefinitionPublish = 100654,

        /// <summary>
        /// 启用流程模板
        /// </summary>
        [Display(GroupName = "Flow", Name = "启用流程模板", Description = "启用流程模板")]
        FlowDefinitionEnable = 100655,

        /// <summary>
        /// 禁用流程模板
        /// </summary>
        [Display(GroupName = "Flow", Name = "禁用流程模板", Description = "禁用流程模板")]
        FlowDefinitionDisable = 100656,

        /// <summary>
        /// 流程查询
        /// </summary>
        [Display(GroupName = "Flow", Name = "流程查询", Description = "流程查询")]
        FlowQuery = 100657,

        /// <summary>
        /// 流程办理
        /// </summary>
        [Display(GroupName = "Flow", Name = "流程办理", Description = "流程办理")]
        FlowNext = 100658,

        /// <summary>
        /// 流程退回（返回前一节点）
        /// </summary>
        [Display(GroupName = "Flow", Name = "流程退回", Description = "流程退回（返回前一节点）")]
        FlowPrevious = 100659,

        /// <summary>
        /// 流程跳转（跳转至任意节点）
        /// </summary>
        [Display(GroupName = "Flow", Name = "流程跳转", Description = "流程跳转（跳转至任意节点）")]
        FlowJump = 100660,

        /// <summary>
        /// 流程终止
        /// </summary>
        [Display(GroupName = "Flow", Name = "流程终止", Description = "流程终止")]
        FlowTerminate = 100661,

        /// <summary>
        /// 流程补充
        /// </summary>
        [Display(GroupName = "Flow", Name = "流程补充", Description = "流程补充")]
        FlowSupplement = 100662,

        /// <summary>
        /// 流程流转记录查询
        /// </summary>
        [Display(GroupName = "Flow", Name = "流程流转记录查询", Description = "流程流转记录查询")]
        FlowTraceQuery = 100663,
        /// <summary>
        /// 获取流程详情
        /// </summary>
        [Display(GroupName = "Flow", Name = "获取流程详情", Description = "获取流程详情")]
        GetFlow = 100664,
        /// <summary>
        /// 编辑流程（后端不使用）
        /// </summary>
        [Display(GroupName = "Flow", Name = "编辑流程", Description = "编辑流程")]
        EditFlow = 100665,

        /// <summary>
        /// 流程撤回（撤回至任意节点）
        /// </summary>
        [Display(GroupName = "Flow", Name = "流程撤回", Description = "流程撤回（撤回至任意节点）")]
        FlowRecall = 100666,

        #endregion

        #region 节假日设置（100670）
        /// <summary>
        /// 节假日设置列表
        /// </summary>
        [Display(GroupName = "系统设置" , Name ="节假日设置", Description ="节假日设置")]
        DaySetings = 100670,
        /// <summary>
        /// 设置节假日
        /// </summary>
        [Display(GroupName ="系统设置",Name ="设置节假日",Description ="设置节假日")]
        SetDaySetting = 100671,
        #endregion

        #region 常用意见（100680）
        /// <summary>
        /// 常用意见列表
        /// </summary>
        [Display(GroupName = "系统管理",Name = "常用意见列表",Description = "常用意见列表")]
        QueryOpenCommonOpinionList = 100680,

        /// <summary>
        /// 修改意见
        /// </summary>
        [Display(GroupName = "系统管理",Name ="修改意见",Description ="修改意见")]
        CommonModify = 100681,
        #endregion

        #endregion
        #region 区域管理(100700)
        /// <summary>
        /// 新增区域
        /// </summary>
        [Display(GroupName ="系统设置",Name ="新增区域",Description ="新增区域")]
        AddArea = 100701,
        /// <summary>
        /// 修改区域
        /// </summary>
        [Display(GroupName ="系统设置",Name ="修改区域",Description ="修改区域")]
        ModifyArea = 100702,
        /// <summary>
        /// 删除区域
        /// </summary>
        [Display(GroupName = "系统设置",Name ="删除区域",Description ="删除区域")]
        DelArea = 100703,
        /// <summary>
        /// 获取区域
        /// </summary>
        [Display(GroupName = "系统设置",Name ="获取区域",Description ="获取区域")]
        GetArea =  100704,
        #endregion
        #endregion

        #region 通话相关接口（200）

        /// <summary>
        /// 电话记录
        /// </summary>
        [Display(GroupName = "电话记录", Name = "电话记录", Description = "电话记录")]
        CallManager = 200000,

        #region 通话记录

        /// <summary>
        /// 分页通话记录列表
        /// </summary>
        [Display(GroupName = "通话", Name = "分页通话记录列表", Description = "分页通话记录列表")]
        GetCallList = 200100,

        /// <summary>
        /// 分页未接通话记录列表
        /// </summary>
        [Display(GroupName = "通话", Name = "分页未接通话记录列表", Description = "分页未接通话记录列表")]
        GetCallListMissed = 200101,
        #endregion


        #region 黑名单管理

        /// <summary>
        /// 分页查询黑名单
        /// </summary>
        [Display(GroupName = "黑名单管理", Name = "分页查询黑名单", Description = "分页查询黑名单")]
        QueryPagedBlack = 200200,
        /// <summary>
        /// 添加电话号至黑名单
        /// </summary>
        [Display(GroupName = "黑名单管理", Name = "添加电话号至黑名单", Description = "添加电话号至黑名单")]
        AddBlackList = 200201,
        /// <summary>
        /// 删除黑名单数据
        /// </summary>
        [Display(GroupName = "黑名单管理", Name = "删除黑名单数据", Description = "删除黑名单数据")]
        RemoveBlacklist = 200202,

        #endregion

        #region 小休申请
        /// <summary>
        /// 分页查询小休申请
        /// </summary>
        [Display(GroupName = "小休申请",Name ="分页查询小休申请",Description ="分页查询小休申请")]
        RestApplyList = 200300,
        /// <summary>
        /// 小休申请页面基础信息
        /// </summary>
        [Display(GroupName ="小休申请",Name ="小休申请页面基础信息",Description = "小休申请页面基础信息")]
        RestApplyBaseData=200301,
        #endregion

        #endregion

        #region 设备管理（300）
        /// <summary>
        /// 设备管理
        /// </summary>
        [Display(GroupName = "设备管理", Name = "设备管理", Description = "设备管理")]
        DeviceManager = 300000,

        #region 话机
        /// <summary>
        /// 查询所有话机
        /// </summary>
        [Display(GroupName = "话机管理", Name = "查询所有话机", Description = "查询所有话机")]
        QueryTels = 300100,
        /// <summary>
        /// 同步分机
        /// </summary>
        [Display(GroupName = "话机管理", Name = "同步分机", Description = "同步分机")]
        SyncTelsAsync = 300101,
        #endregion

        #region 分机组
        /// <summary>
        /// 查询所有分机组
        /// </summary>
        [Display(GroupName = "分机组管理", Name = "查询所有分机组", Description = "查询所有分机组")]
        QueryTelGroups = 300200,
        /// <summary>
        /// 页面基础信息
        /// </summary>
        [Display(GroupName = "分机组管理", Name = "页面基础信息", Description = "页面基础信息")]
        GetBaseInfoGroup = 300201,
        /// <summary>
        /// 新增分机组
        /// </summary>
        [Display(GroupName = "分机组管理", Name = "新增分机组", Description = "新增分机组")]
        AddTelGroup = 300202,
        /// <summary>
        /// 更新分机组
        /// </summary>
        [Display(GroupName = "分机组管理", Name = "更新分机组", Description = "更新分机组")]
        UpdateTelGroup = 300203,
        #endregion

        #region IVR管理
        #region IVR分类
        /// <summary>
        /// 查询所有IVR分类
        /// </summary>
        [Display(GroupName = "IVR管理", Name = "查询所有IVR分类", Description = "查询所有IVR分类")]
        GetCategories = 300300,
        /// <summary>
        /// 查询IVR分类
        /// </summary>
        [Display(GroupName = "IVR管理", Name = "查询IVR分类（含ivr）", Description = "查询IVR分类（含ivr）")]
        GetCategorie = 300301,
        /// <summary>
        /// 新增IVR分类
        /// </summary>
        [Display(GroupName = "IVR管理", Name = "新增IVR分类", Description = "新增IVR分类")]
        AddCategory = 300302,
        /// <summary>
        /// 更新IVR分类
        /// </summary>
        [Display(GroupName = "IVR管理", Name = "更新IVR分类", Description = "更新IVR分类")]
        UpdateCategory = 300303,
        /// <summary>
        /// 删除分类（包含分类下的IVR）
        /// </summary>
        [Display(GroupName = "IVR管理", Name = "删除分类", Description = "删除分类")]
        RemoveCategory = 300304,
        #endregion

        #region IVR
        /// <summary>
        /// 查询所有IVR
        /// </summary>
        [Display(GroupName = "IVR管理", Name = "查询所有IVR", Description = "查询所有IVR")]
        QueryIvrs = 300400,
        /// <summary>
        /// 新增IVR
        /// </summary>
        [Display(GroupName = "IVR管理", Name = "新增IVR", Description = "新增IVR")]
        AddIvr = 300401,
        /// <summary>
        /// 更新IVR
        /// </summary>
        [Display(GroupName = "IVR管理", Name = "更新IVR", Description = "更新IVR")]
        UpdateIvr = 300402,
        /// <summary>
        /// 构建IVR关系
        /// </summary>
        [Display(GroupName = "IVR管理", Name = "构建IVR关系", Description = "构建IVR关系")]
        Structure = 300403,
        /// <summary>
        /// 删除IVR关系（并非删除IVR）
        /// </summary>
        [Display(GroupName = "IVR管理", Name = "删除IVR关系", Description = "删除IVR关系")]
        DeStructureIvr = 300404,
        /// <summary>
        /// 替换某个IVR分组下的起始IVR
        /// </summary>
        [Display(GroupName = "IVR管理", Name = "替换某个IVR分组下的起始IVR", Description = "替换某个IVR分组下的起始IVR")]
        ReplaceRoot = 300405,
        /// <summary>
        /// 查询ivr分类，以树形结构返回IVR关系
        /// </summary>
        [Display(GroupName = "IVR管理", Name = "查询ivr分类，以树形结构返回IVR关系", Description = "查询ivr分类，以树形结构返回IVR关系")]
        GetBeginingIvr = 300406,
        /// <summary>
        /// 页面基础信息
        /// </summary>
        [Display(GroupName = "IVR管理", Name = "页面基础信息", Description = "页面基础信息")]
        GetBaseInfoIvr = 300407,
        #endregion
        #endregion

        #region 线路IVR管理
        /// <summary>
        /// 获取线路管理列表
        /// </summary>
        [Display(GroupName = "系统设置", Name = "线路管理", Description = "线路管理")]
        GetTrunkList = 300500,
        /// <summary>
        /// 获取线路对象
        /// </summary>
        [Display(GroupName = "系统设置", Name = "获取线路对象", Description = "获取线路对象")]
        GetTrunk = 300501,
        /// <summary>
        /// 新增线路
        /// </summary>
        [Display(GroupName = "系统设置", Name = "新增线路", Description = "新增线路")]
        AddTrunk = 300502,
        /// <summary>
        /// 修改线路
        /// </summary>
        [Display(GroupName = "系统设置", Name = "修改线路", Description = "修改线路")]
        UpdateTrunk = 300503,
        /// <summary>
        /// 删除线路
        /// </summary>
        [Display(GroupName = "系统设置", Name = "删除线路", Description = "删除线路")]
        RemoveTrunk = 300504,
        /// <summary>
        /// 线路页面基础信息
        /// </summary>
        [Display(GroupName = "系统设置", Name = "页面基础信息", Description = "页面基础信息")]
        TrunkPageInfo = 300505,
        #endregion
        #endregion

        #region 知识库（400）
        /// <summary>
        /// 知识库
        /// </summary>
        [Display(GroupName = "知识库", Name = "知识库", Description = "知识库")]
        KnowledgeBase = 400000,

        #region 知识库管理
        /// <summary>
        /// 知识库管理
        /// </summary>
        [Display(GroupName = "知识库", Name = "知识库管理", Description = "知识库管理")]
        KnowledgeManage = 400100,

        #region 知识库
        /// <summary>
        /// 知识库
        /// </summary>
        [Display(GroupName = "知识库", Name = "知识库", Description = "知识库")]
        KnowledgeAllList = 400101,

        /// <summary>
        /// 创建知识
        /// </summary>
        [Display(GroupName = "知识库管理", Name = "创建知识", Description = "创建知识")]
        EstablishKnowledge = 400102,
        /// <summary>
        /// 提交审核按钮
        /// </summary>
        [Display(GroupName = "创建知识", Name = "提交审核按钮", Description = "提交审核按钮")]
        AddKnowledge = 400103,
        /// <summary>
        /// 保存草稿箱
        /// </summary>
        [Display(GroupName = "创建知识", Name = "保存草稿箱", Description = "保存草稿箱")]
        AddKnowledgeTemp = 400104,
        /// <summary>
        /// 知识预览
        /// </summary>
        [Display(GroupName = "创建知识", Name = "知识预览", Description = "知识预览")]
        KnowledgePreview = 400105,

        /// <summary>
        /// 知识修改
        /// </summary>
        [Display(GroupName = "知识库管理", Name = "知识修改", Description = "知识修改")]
        KnowledgeUpdate = 400106,
        /// <summary>
        /// 知识删除
        /// </summary>
        [Display(GroupName = "知识库管理", Name = "知识删除", Description = "知识删除")]
        KnowledgeDelete = 400107,
        /// <summary>
        /// 知识下架
        /// </summary>
        [Display(GroupName = "知识库管理", Name = "知识下架", Description = "知识下架")]
        KnowledgeOffShelf = 400108,
        /// <summary>
        /// 知识上架
        /// </summary>
        [Display(GroupName = "知识库管理", Name = "知识上架", Description = "知识上架")]
        KnowledgeOnTheShelf = 400109,
        /// <summary>
        /// 知识撤回
        /// </summary>
        [Display(GroupName = "知识库管理", Name = "撤回", Description = "撤回")]
        KnowledgeRevoke = 400111,
        #endregion

        #region 我的删除申请
        /// <summary>
        /// 我的知识删除申请
        /// </summary>
        [Display(GroupName = "知识库管理", Name = "我的知识删除申请", Description = "我的知识删除申请")]
        KnowledgeDeleteApply = 400120,

        #endregion

        #region 我的草稿

        /// <summary>
        /// 我的草稿箱
        /// </summary>
        [Display(GroupName = "知识库管理", Name = "我的草稿箱", Description = "我的草稿箱")]
        KnowledgeMyDraftsList = 400130,
        /// <summary>
        /// 修改草稿
        /// </summary>
        [Display(GroupName = "我的草稿箱", Name = "修改草稿", Description = "修改草稿")]
        KnowledgeDraftsUpdate = 400131,
        /// <summary>
        /// 删除草稿
        /// </summary>
        [Display(GroupName = "我的草稿箱", Name = "删除草稿", Description = "删除草稿")]
        KnowledgeDraftsDelete = 400132,

        #endregion

        #endregion

        #region 知识库基础设置
        /// <summary>
        /// 知识库基础设置
        /// </summary>
        [Display(GroupName = "知识库", Name = "知识库基础设置", Description = "知识库基础设置")]
        KnowledgeBasicSettings = 400200,

        #region 类型管理
        /// <summary>
        /// 类型管理
        /// </summary>
        [Display(GroupName = "知识库基础设置", Name = "类型管理", Description = "类型管理")]
        KnowledgeTypeMange = 400201,
        /// <summary>
        /// 添加分类
        /// </summary>
        [Display(GroupName = "类型管理", Name = "添加分类", Description = "添加分类")]
        AddKnowledgeType = 400202,
        /// <summary>
        /// 修改分类
        /// </summary>
        [Display(GroupName = "类型管理", Name = "修改分类", Description = "修改分类")]
        UpdateKnowledgeType = 400203,
        /// <summary>
        /// 删除分类
        /// </summary>
        [Display(GroupName = "类型管理", Name = "删除分类", Description = "删除分类")]
        RemoveKnowledgeType = 400204,
        /// <summary>
        /// 知识分类-启用、禁用切换
        /// </summary>
        [Display(GroupName = "类型管理", Name = "知识分类-启用、禁用切换", Description = "知识分类-启用、禁用切换")]
        KnowledgeTypeChangeState = 400205,
        /// <summary>
        ///  知识分类-禁用，并且下架知识
        /// </summary>
        [Display(GroupName = "类型管理", Name = "知识分类-禁用，并且下架知识", Description = "知识分类-禁用，并且下架知识")]
        KnowledgeTypeChangeStateAndOffShelf = 400206,
        #endregion

        #region 知识规范
        /// <summary>
        /// 知识规范
        /// </summary>
        [Display(GroupName = "知识库基础设置", Name = "知识规范", Description = "知识规范")]
        KnowledgeStandard = 400210,
        /// <summary>
        /// 查询知识规范
        /// </summary>
        [Display(GroupName = "知识规范", Name = "查询知识规范", Description = "查询知识规范")]
        KnowledgeStandardInfo = 400211,
        /// <summary>
        /// 修改知识规范
        /// </summary>
        [Display(GroupName = "知识规范", Name = "修改知识规范", Description = "修改知识规范")]
        KnowledgeStandardUpdate = 400212,

        #endregion
        #endregion

        #region 知识库审核管理
        /// <summary>
        /// 知识库审核管理
        /// </summary>
        [Display(GroupName = "知识库", Name = "知识库审核管理", Description = "知识库审核管理")]
        KnowledgeApprovedAllList = 400300,

        #endregion

        #region 知识库申请管理
        /// <summary>
        /// 知识库申请管理
        /// </summary>
        [Display(GroupName = "知识库", Name = "知识库申请管理", Description = "知识库申请管理")]
        KnowledgeApplyMange = 400400,

        #region 我的知识申请
        /// <summary>
        /// 我的知识申请
        /// </summary>
        [Display(GroupName = "知识库申请管理", Name = "我的知识申请", Description = "我的知识申请")]
        MyKnowledgeApply = 400401,

        /// <summary>
        /// 发起申请按钮
        /// </summary>
        [Display(GroupName = "我的知识申请", Name = "发起申请按钮", Description = "发起申请按钮")]
        KnowledgeApplyAdd = 400402,
        /// <summary>
        /// 修改申请按钮
        /// </summary>
        [Display(GroupName = "我的知识申请", Name = "修改申请按钮", Description = "修改申请按钮")]
        KnowledgeUpdateAdd = 400403,
        /// <summary>
        /// 撤销操作按钮
        /// </summary>
        [Display(GroupName = "我的知识申请", Name = "撤销操作按钮", Description = "撤销操作按钮")]
        KnowledgeApplyRevoke = 400404,
        /// <summary>
        /// 知识申请删除
        /// </summary>
        [Display(GroupName = "知识申请处理", Name = "知识申请删除", Description = "知识申请删除")]
        KnowledgeApplyDelete = 400405,
        #endregion

        #region 知识申请处理
        /// <summary>
        /// 知识申请处理
        /// </summary>
        [Display(GroupName = "知识库", Name = "知识申请处理", Description = "知识申请处理")]
        KnowledgeApplyHandle = 400410,

        /// <summary>
        ///知识申请办理按钮
        /// </summary>
        [Display(GroupName = "知识申请处理", Name = "知识申请办理", Description = "知识申请办理按钮")]
        KnowApplyHandle = 400411,
        /// <summary>
        ///知识申请退回按钮
        /// </summary>
        [Display(GroupName = "知识申请处理", Name = "知识申请退回", Description = "知识申请退回按钮")]
        KnowledgeApplyReturn = 400412,
        /// <summary>
        ///知识申请详情按钮
        /// </summary>
        [Display(GroupName = "知识申请处理", Name = "知识申请查看详情", Description = "知识申请详情按钮")]
        KnowledgeApplyInfo = 400413,
        #endregion

        #endregion

        #region 知识检索
        /// <summary>
        /// 知识检索
        /// </summary>
        [Display(GroupName = "知识库", Name = "知识检索", Description = "知识检索")]
        KnowledgeRetrieval = 400500,
		#endregion

		#region 知识库词库
		/// <summary>
		/// 知识库词库列表
		/// </summary>
		[Display(GroupName = "OrderWord", Name = "知识库词库列表", Description = "知识库词库列表")]
		KnowledgeWordList = 400600,

		/// <summary>
		/// 新增知识库词库
		/// </summary>
		[Display(GroupName = "OrderWord", Name = "新增知识库词库", Description = "新增知识库词库")]
		AddKnowledgeWord = 400601,

		/// <summary>
		/// 删除知识库词库
		/// </summary>
		[Display(GroupName = "OrderWord", Name = "删除知识库词库", Description = "删除知识库词库")]
		DeleteKnowledgeWord = 400602,

		/// <summary>
		/// 修改知识库词库
		/// </summary>
		[Display(GroupName = "OrderWord", Name = "修改知识库词库", Description = "修改知识库词库")]
		UpdateKnowledgeWord = 400603,

		#endregion

		#region 知识纠错
		/// <summary>
		/// 知识纠错列表
		/// </summary>
		[Display(GroupName = "KnowledgeCorrection", Name = "知识纠错列表", Description = "知识纠错列表")]
		KnowledgeCorrectionList = 400700,

		/// <summary>
		/// 新增知识纠错
		/// </summary>
		[Display(GroupName = "KnowledgeCorrection", Name = "新增知识纠错", Description = "新增知识纠错")]
		AddKnowledgeCorrection = 400701,

		/// <summary>
		/// 删除知识纠错
		/// </summary>
		[Display(GroupName = "KnowledgeCorrection", Name = "删除知识纠错", Description = "删除知识纠错")]
		DeleteKnowledgeCorrection = 400702,

		/// <summary>
		/// 修改知识纠错
		/// </summary>
		[Display(GroupName = "KnowledgeCorrection", Name = "修改知识纠错", Description = "修改知识纠错")]
		UpdateKnowledgeCorrection = 400703,

		/// <summary>
		/// 知识纠错实体
		/// </summary>
		[Display(GroupName = "KnowledgeCorrection", Name = "知识纠错实体", Description = "知识纠错实体")]
		KnowledgeCorrectionEntity = 400705,

		/// <summary>
		/// 答复知识纠错
		/// </summary>
		[Display(GroupName = "KnowledgeCorrection", Name = "答复知识纠错", Description = "答复知识纠错")]
		ReplyKnowledgeCorrection = 400706,
		#endregion

		#region 知识提问
		/// <summary>
		/// 知识提问列表
		/// </summary>
		[Display(GroupName = "KnowledgeQuestions", Name = "知识提问列表", Description = "知识提问列表")]
		KnowledgeQuestionsList = 400800,

		/// <summary>
		/// 新增知识提问
		/// </summary>
		[Display(GroupName = "KnowledgeQuestions", Name = "新增知识提问", Description = "新增知识提问")]
		AddKnowledgeQuestions = 400801,

		/// <summary>
		/// 删除知识提问
		/// </summary>
		[Display(GroupName = "KnowledgeQuestions", Name = "删除知识提问", Description = "删除知识提问")]
		DeleteKnowledgeQuestions = 400802,

		/// <summary>
		/// 修改知识提问
		/// </summary>
		[Display(GroupName = "KnowledgeQuestions", Name = "修改知识提问", Description = "修改知识提问")]
		UpdateKnowledgeQuestions = 400803,

		/// <summary>
		/// 知识提问实体
		/// </summary>
		[Display(GroupName = "KnowledgeQuestions", Name = "知识提问实体", Description = "知识提问实体")]
		KnowledgeQuestionsEntity = 400805,

		/// <summary>
		/// 答复知识提问
		/// </summary>
		[Display(GroupName = "KnowledgeQuestions", Name = "答复知识提问", Description = "答复知识提问")]
		ReplyKnowledgeQuestions = 400806,
		#endregion

		#region 知识收藏

		/// <summary>
		/// 知识收藏列表
		/// </summary>
		[Display(GroupName = "KnowledgeCollect", Name = "知识收藏列表", Description = "知识收藏列表")]
		KnowledgeCollectList = 400900,

		/// <summary>
		/// 知识收藏
		/// </summary>
		[Display(GroupName = "KnowledgeCollect", Name = "知识收藏", Description = "知识收藏")]
		AddKnowledgeCollect = 400901,

		/// <summary>
		/// 知识评分
		/// </summary>
		[Display(GroupName = "KnowledgeCollect", Name = "知识评分", Description = "知识评分")]
		AddKnowledgeScore = 400902,
		#endregion

		#region 知识评论
		/// <summary>
		/// 知识评论列表
		/// </summary>
		[Display(GroupName = "KnowledgeComment", Name = "知识评论列表", Description = "知识评论列表")]
		KnowledgeCommentList = 401000,

		/// <summary>
		/// 新增知识评论
		/// </summary>
		[Display(GroupName = "KnowledgeComment", Name = "新增知识评论", Description = "新增知识评论")]
		AddKnowledgeComment = 401001,

		/// <summary>
		/// 删除知识评论
		/// </summary>
		[Display(GroupName = "KnowledgeComment", Name = "删除知识评论", Description = "删除知识评论")]
		DeleteKnowledgeComment = 401002,

		/// <summary>
		/// 修改知识评论
		/// </summary>
		[Display(GroupName = "KnowledgeComment", Name = "修改知识评论", Description = "修改知识评论")]
		UpdateKnowledgeComment = 401003,
		#endregion

		#endregion

		#region 业务管理（500）

		[Display(GroupName = "业务管理", Name = "业务管理", Description = "业务管理")]
        Business = 500000,

        #region 工单管理

        /// <summary>
        /// 查询工单
        /// </summary>
        [Display(GroupName = "Order", Name = "查询工单列表", Description = "查询工单列表")]
        OrderQuery = 500100,

        /// <summary>
        /// 新建工单
        /// </summary>
        [Display(GroupName = "Order", Name = "新建工单", Description = "新建工单")]
        OrderAdd = 500101,

        /// <summary>
        /// 删除工单
        /// </summary>
        [Display(GroupName = "Order", Name = "删除工单", Description = "删除工单")]
        OrderRemove = 500102,

        /// <summary>
        /// 编辑工单
        /// </summary>
        [Display(GroupName = "Order", Name = "编辑工单", Description = "编辑工单")]
        OrderUpdate = 500103,

        /// <summary>
        /// 开启工单办理流程
        /// </summary>
        [Display(GroupName = "Order", Name = "开启工单办理流程", Description = "开启工单办理流程")]
        OrderManageFlowStart = 500104,
        /// <summary>
        /// 查询历史工单
        /// </summary>
        [Display(GroupName = "Order", Name = "查询历史工单列表", Description = "查询历史工单列表")]
        OrderHistory = 500105,
        /// <summary>
        /// 获取工单详情
        /// </summary>
        [Display(GroupName = "Order", Name = "获取工单详情", Description = "获取工单详情")]
        GetOrder = 500106,
        #endregion

        #region 工单发布管理
        /// <summary>
        /// 发布管理列表
        /// </summary>
        [Display(GroupName = "OrderPublish",Name ="发布管理列表",Description ="发布管理列表")]
        PublishOrderList = 500200,

        /// <summary>
        /// 发布页面基础信息
        /// </summary>
        [Display(GroupName = "OrderPublish",Name ="发布页面基础信息",Description ="发布页面基础信息")]
        PublishOrderPageBase = 500201,

        /// <summary>
        /// 发布工单
        /// </summary>
        [Display(GroupName = "OrderPublish",Name ="发布工单",Description ="发布工单")]
        PublishOrder= 500202,

        /// <summary>
        /// 已发布列表
        /// </summary>
        [Display(GroupName ="OrderPublish",Name ="已发布列表",Description = "已发布列表")]
        PublishedOrderList =  500203,

        /// <summary>
        /// 发布详情
        /// </summary>
        [Display(GroupName = "OrderPublish",Name ="发布详情",Description = "发布详情")]
        PublishedOrder = 500204,

        /// <summary>
        /// 修改发布
        /// </summary>
        [Display(GroupName = "OrderPublish",Name ="修改发布",Description ="修改发布")]
        PublishedModify = 500205,

        /// <summary>
        /// 修改记录
        /// </summary>
        [Display(GroupName = "OrderPublish",Name = "修改记录",Description ="修改记录")]
        QueryPublishedHistory = 500206,

        #endregion

        #region 工单回访管理

        /// <summary>
        /// 回访列表
        /// </summary>
        [Display(GroupName = "OrderVisit",Name = "回访列表",Description = "回访列表")]
        QueryOrderVisitList = 500300,

        /// <summary>
        /// 回访详情
        /// </summary>
        [Display(GroupName = "OrderVisit",Name ="回访详情",Description ="回访详情")]
        VisitInfo = 500301,

        /// <summary>
        /// 回访明细列表
        /// </summary>
        [Display(GroupName = "OrderVisit",Name ="回访明细列表",Description ="回访明细列表")]
        VisitDetailList = 500302,

        /// <summary>
        /// 回访
        /// </summary>
        [Display(GroupName = "OrderVisit",Name = "回访", Description = "回访")]
        Visit = 500303,

        #endregion

        #region 工单重办管理

        /// <summary>
        /// 工单重办列表
        /// </summary>
        [Display(GroupName = "QueryOrderRedoRecord",Name ="工单重办列表",Description = "工单重办列表")]
        QueryOrderRedoRecord = 500400,
        
        /// <summary>
        /// 重办详情
        /// </summary>
        [Display(GroupName = "OrderRedoRecord",Name ="重办详情",Description ="重办详情")]
        OrderRedoRecord = 500401,

        #endregion

        #region 工单延期管理

        /// <summary>
        /// 工单可延期列表
        /// </summary>
        [Display(GroupName = "OrderDelay",Name ="工单可延期列表",Description ="工单可延期列表")]
        CanDelayOrderList =  500400,

        /// <summary>
        /// 申请延期
        /// </summary>
        [Display(GroupName ="OrderDelay",Name = "申请延期",Description ="申请延期")]
        ApplyDelay = 500401,

        /// <summary>
        /// 延期列表
        /// </summary>
        [Display(GroupName = "OrderDelay",Name = "延期列表",Description ="延期列表")]
        DelayList = 500402,

        /// <summary>
        /// 延期详情
        /// </summary>
        [Display(GroupName = "OrderDelay",Name = "延期详情",Description ="延期详情")]
        DelayEntity = 500403,

        #endregion

        #region 工单督办管理
        /// <summary>
        ///工单督办列表
        /// </summary>
        [Display(GroupName = "OrderSupervise", Name = "工单督办列表", Description = "工单督办列表")]
		SuperviseOrderList = 500600,

		/// <summary>
		/// 申请督办
		/// </summary>
		[Display(GroupName = "OrderSupervise", Name = "申请督办", Description = "申请督办")]
		ApplySupervise = 500602,

        /// <summary>
        /// 回复督办
        /// </summary>
		[Display(GroupName = "OrderSupervise", Name = "回复督办", Description = "回复督办")]
        ReplySupervise = 500603,

		/// <summary>
		/// 签收督办
		/// </summary>
		[Display(GroupName = "OrderSupervise", Name = "签收督办", Description = "签收督办")]
		SignSupervise = 500604,

		/// <summary>
		/// 督办详情
		/// </summary>
		[Display(GroupName = "OrderDelay", Name = "督办详情", Description = "督办详情")]
		SuperviseEntity = 500605,
		#endregion

		#region 工单催办管理
		/// <summary>
		///工单催办列表
		/// </summary>
		[Display(GroupName = "OrderUrge", Name = "工单催办列表", Description = "工单催办列表")]
		UrgeOrderList = 500700,

		/// <summary>
		/// 申请催办
		/// </summary>
		[Display(GroupName = "OrderUrge", Name = "申请催办", Description = "申请催办")]
		ApplyUrge = 500702,

		/// <summary>
		/// 回复催办
		/// </summary>
		[Display(GroupName = "OrderUrge", Name = "回复催办", Description = "回复催办")]
		ReplyUrge = 500703,

		/// <summary>
		/// 签收催办
		/// </summary>
		[Display(GroupName = "OrderUrge", Name = "签收催办", Description = "签收催办")]
		SignUrge = 500704,

		/// <summary>
		/// 催办详情
		/// </summary>
		[Display(GroupName = "OrderUrge", Name = "催办详情", Description = "催办详情")]
		UrgeEntity = 500705,
		#endregion

		#region 工单甄别管理

		/// <summary>
		/// 工单甄别列表
		/// </summary>
		[Display(GroupName = "OrderScreen", Name = "工单甄别待申请列表", Description = "工单甄别待申请列表")]
		MayOrderScreenList = 500801,

		/// <summary>
		/// 工单甄别列表
		/// </summary>
		[Display(GroupName = "OrderScreen", Name = "工单甄别列表", Description = "工单甄别列表")]
		OrderScreenList = 500800,

        /// <summary>
        /// 申请甄别
        /// </summary>
        [Display(GroupName = "OrderScreen", Name = "申请甄别", Description = "申请甄别")]
        ApplyScreen = 500802,

        /// <summary>
        /// 甄别详情
        /// </summary>
        [Display(GroupName = "OrderScreen", Name = "甄别详情", Description = "甄别详情")]
		ScreenEntity = 500804,
		#endregion

		#region 质检管理

		/// <summary>
		/// 质检列表
		/// </summary>
		[Display(GroupName = "Quality", Name = "质检列表", Description = "质检列表")]
		QualityList = 500900,

		/// <summary>
		/// 删除质检
		/// </summary>
		[Display(GroupName = "Quality", Name = "删除质检", Description = "删除质检")]
		DeleteQuality = 500901,

		/// <summary>
		/// 修改质检
		/// </summary>
		[Display(GroupName = "Quality", Name = "修改质检", Description = "修改质检")]
		UpdateQuality = 500902,

		#endregion

		#region 质检项目管理

		/// <summary>
		/// 质检项目列表
		/// </summary>
		[Display(GroupName = "QualityItem", Name = "质检项目列表", Description = "质检项目列表")]
		QualityItemList = 501000,

		/// <summary>
		/// 新增质检项目
		/// </summary>
		[Display(GroupName = "QualityItem", Name = "新增质检项目", Description = "新增质检项目")]
		AddQualityItem = 501001,

		/// <summary>
		/// 删除质检项目
		/// </summary>
		[Display(GroupName = "QualityItem", Name = "删除质检项目", Description = "删除质检项目")]
		DeleteQualityItem = 501002,

        /// <summary>
		/// 修改质检项目
		/// </summary>
		[Display(GroupName = "QualityItem", Name = "修改质检项目", Description = "修改质检项目")]
		UpdateQualityItem = 501003,
		#endregion

		#region 质检模版管理

		/// <summary>
		/// 质检模版列表
		/// </summary>
		[Display(GroupName = "QualityTemplate", Name = "质检模版列表", Description = "质检模版列表")]
		QualityTemplateList = 501100,

		/// <summary>
		/// 新增质检模版
		/// </summary>
		[Display(GroupName = "QualityTemplate", Name = "新增质检模版", Description = "新增质检模版")]
		AddQualityTemplate = 501101,

		/// <summary>
		/// 删除质检模版
		/// </summary>
		[Display(GroupName = "QualityTemplate", Name = "删除质检模版", Description = "删除质检模版")]
		DeleteQualityTemplate = 501102,

		/// <summary>
		/// 修改质检模版
		/// </summary>
		[Display(GroupName = "QualityTemplate", Name = "修改质检模版", Description = "修改质检模版")]
		UpdateQualityTemplate = 501103,

		/// <summary>
		/// 启禁用质检模版
		/// </summary>
		[Display(GroupName = "QualityTemplate", Name = "启禁用质检模版", Description = "启禁用质检模版")]
		EnableQualityTemplate = 501106,
		#endregion

		#region 质检违禁词管理

		/// <summary>
		/// 质检违禁词列表
		/// </summary>
		[Display(GroupName = "QualityProhibited", Name = "质检违禁词列表", Description = "质检违禁词列表")]
		QualityProhibitedList = 501200,

		/// <summary>
		/// 新增质检违禁词
		/// </summary>
		[Display(GroupName = "QualityProhibited", Name = "新增质检违禁词", Description = "新增质检违禁词")]
		AddQualityProhibited = 501201,

		/// <summary>
		/// 删除质检违禁词
		/// </summary>
		[Display(GroupName = "QualityProhibited", Name = "删除质检违禁词", Description = "删除质检违禁词")]
		DeleteQualityProhibited = 501202,

		/// <summary>
		/// 修改质检违禁词
		/// </summary>
		[Display(GroupName = "QualityProhibited", Name = "修改质检违禁词", Description = "修改质检违禁词")]
		UpdateQualityProhibited = 501203,

		#endregion

		#region 市民管理

		/// <summary>
		/// 市民信息列表
		/// </summary>
		[Display(GroupName = "Citizen", Name = "市民信息列表", Description = "市民信息列表")]
		CitizenList = 501300,

		/// <summary>
		/// 新增市民信息
		/// </summary>
		[Display(GroupName = "Citizen", Name = "新增市民信息", Description = "新增市民信息")]
		AddCitizen = 501301,

		/// <summary>
		/// 删除市民信息
		/// </summary>
		[Display(GroupName = "Citizen", Name = "删除市民信息", Description = "删除市民信息")]
		DeleteCitizen = 501302,

		/// <summary>
		/// 修改市民信息
		/// </summary>
		[Display(GroupName = "Citizen", Name = "修改市民信息", Description = "修改市民信息")]
		UpdateCitizen = 501303,

		/// <summary>
		/// 市民信息实体
		/// </summary>
		[Display(GroupName = "Citizen", Name = "市民信息实体", Description = "市民信息实体")]
		CitizenEntity = 501305,


		#endregion

		#region 重复性事件

		/// <summary>
		/// 重复性事件列表
		/// </summary>
		[Display(GroupName = "RepeatableEvent", Name = "重复性事件列表", Description = "重复性事件列表")]
		RepeatableEventList = 501400,

		/// <summary>
		/// 新增重复性事件
		/// </summary>
		[Display(GroupName = "RepeatableEvent", Name = "新增重复性事件", Description = "新增重复性事件")]
		AddRepeatableEvent = 501401,

		/// <summary>
		/// 删除重复性事件
		/// </summary>
		[Display(GroupName = "RepeatableEvent", Name = "删除重复性事件", Description = "删除重复性事件")]
		DeleteRepeatableEvent = 501402,

		/// <summary>
		/// 修改重复性事件
		/// </summary>
		[Display(GroupName = "RepeatableEvent", Name = "修改重复性事件", Description = "修改重复性事件")]
		UpdateRepeatableEvent = 501403,

		/// <summary>
		/// 重复性事件实体
		/// </summary>
		[Display(GroupName = "RepeatableEvent", Name = "重复性事件实体", Description = "重复性事件实体")]
		RepeatableEventEntity = 501405,

		/// <summary>
		/// 删除重复性事件明细
		/// </summary>
		[Display(GroupName = "RepeatableEvent", Name = "删除重复性事件明细", Description = "删除重复性事件明细")]
		DeleteRepeatableEventDetail = 501406,

		#endregion

		#region 工单词库
		/// <summary>
		/// 工单词库列表
		/// </summary>
		[Display(GroupName = "OrderWord", Name = "工单词库列表", Description = "工单词库列表")]
		OrderWordList = 501500,

		/// <summary>
		/// 新增工单词库
		/// </summary>
		[Display(GroupName = "OrderWord", Name = "新增工单词库", Description = "新增工单词库")]
		AddOrderWord = 501501,

		/// <summary>
		/// 删除工单词库
		/// </summary>
		[Display(GroupName = "OrderWord", Name = "删除工单词库", Description = "删除工单词库")]
		DeleteOrderWord = 501502,

		/// <summary>
		/// 修改工单词库
		/// </summary>
		[Display(GroupName = "OrderWord", Name = "修改工单词库", Description = "修改工单词库")]
		UpdateOrderWord = 501503,

		#endregion

		#region 工单观察
		/// <summary>
		/// 工单观察列表
		/// </summary>
		[Display(GroupName = "OrderObserve", Name = "工单观察列表", Description = "工单观察列表")]
		OrderObserveList = 501600,

		/// <summary>
		/// 新增工单观察
		/// </summary>
		[Display(GroupName = "OrderObserve", Name = "新增工单观察", Description = "新增工单观察")]
		AddOrderObserve = 501601,

		/// <summary>
		/// 删除工单观察
		/// </summary>
		[Display(GroupName = "OrderObserve", Name = "删除工单观察", Description = "删除工单观察")]
		DeleteOrderObserve = 501602,

		/// <summary>
		/// 修改工单观察
		/// </summary>
		[Display(GroupName = "OrderObserve", Name = "修改工单观察", Description = "修改工单观察")]
		UpdateOrderObserve = 501603,
		#endregion

		#region 工单终结
		/// <summary>
		/// 工单终结列表
		/// </summary>
		[Display(GroupName = "OrderObserve", Name = "工单终结列表", Description = "工单终结列表")]
		OrderFinalityList = 501700,

		/// <summary>
		/// 新增工单终结
		/// </summary>
		[Display(GroupName = "OrderObserve", Name = "新增工单终结", Description = "新增工单终结")]
		AddOrderFinality = 501701,

		/// <summary>
		/// 删除工单终结
		/// </summary>
		[Display(GroupName = "OrderObserve", Name = "删除工单终结", Description = "删除工单终结")]
		DeleteOrderFinality = 501702,

		/// <summary>
		/// 修改工单终结
		/// </summary>
		[Display(GroupName = "OrderObserve", Name = "修改工单终结", Description = "修改工单终结")]
		UpdateOrderFinality = 501703,
        #endregion

        #region 工单二次回访申请
        /// <summary>
        /// 二次回访申请列表
        /// </summary>
        [Display(GroupName = "VisitApplyList",Name ="二次回访申请列表",Description ="二次回访申请列表")]
        VisitApplyList = 501800,
        /// <summary>
        /// 申请二次回访
        /// </summary>
        [Display(GroupName = "ApplyOrderVisit",Name ="申请二次回访",Description ="申请二次回访")]
        ApplyOrderVisit = 501801,
        /// <summary>
        /// 二次回访申请对象
        /// </summary>
        [Display(GroupName = "VisitApplyEntity",Name = "二次回访申请对象",Description ="二次回访申请对象")]
        VisitApplyEntity = 501802,
        /// <summary>
        /// 二次回访审核
        /// </summary>
        [Display(GroupName = "ExaminOrderVisit",Name ="二次回访审核",Description = "二次回访审核")]
        ExaminOrderVisit = 501803,

        /// <summary>
        /// 可申请二次回访列表
        /// </summary>
        [Display(GroupName = "OrderVisitAgainList",Name = "可申请二次回访列表",Description = "可申请二次回访列表")]
        OrderVisitAgainList = 501804,
        #endregion

        #region 工单退回管理
        /// <summary>
        ///工单退回列表
        /// </summary>
        [Display(GroupName = "OrderSendBack", Name = "工单退回列表", Description = "工单退回列表")]
		SendBackOrderList = 501900,

		/// <summary>
		/// 退回申请
		/// </summary>
		[Display(GroupName = "OrderSendBack", Name = "退回申请", Description = "退回申请")]
		ApplySendBack = 501902,

		/// <summary>
		/// 退回审核
		/// </summary>
		[Display(GroupName = "OrderSendBack", Name = "退回审核", Description = "退回审核")]
		AuditSendBack = 501903,

		/// <summary>
		/// 省上退回回复
		/// </summary>
		[Display(GroupName = "OrderSendBack", Name = "省上退回回复", Description = "省上退回回复")]
		ReplySendBack = 501904,

		/// <summary>
		/// 退回详情
		/// </summary>
		[Display(GroupName = "OrderSendBack", Name = "退回详情", Description = "退回详情")]
		SendBackEntity = 501905,
		#endregion

		#endregion

		#region 辅助功能(600)
		[Display(GroupName = "辅助功能", Name = "辅助功能", Description = "辅助功能")]
        Auxiliary = 600000,

        #region 公告列表
        /// <summary>
        /// 查询公告列表
        /// </summary>
        [Display(GroupName = "QueryBulletinList",Name ="查询公告列表",Description ="查询公告列表")]
        QueryBulletinList = 600100,
        /// <summary>
        /// 公告详情
        /// </summary>
        [Display(GroupName = "BulletinEntity",Name ="公告详情",Description ="公告详情")]
        BulletinEntity = 600101,
        /// <summary>
        /// 新增公告
        /// </summary>
        [Display(GroupName = "AddBulletin",Name ="新增公告",Description ="新增公告")]
        AddBulletin = 600102,
        /// <summary>
        /// 审核公告
        /// </summary>
        [Display(GroupName = "ExamineBulletin",Name ="审核公告",Description ="审核公告")]
        ExamineBulletin = 600103,

        /// <summary>
        /// 提交公告
        /// </summary>
        [Display(GroupName = "CommitBulletin",Name = "提交公告",Description ="提交公告")]
        CommitBulletin = 600104,
        /// <summary>
        /// 修改公告
        /// </summary>
        [Display(GroupName = "UpdateBulletin",Name ="修改公告",Description ="修改公告")]
        UpdateBulletin = 600105,
        /// <summary>
        /// 删除公告
        /// </summary>
        [Display(GroupName = "DelBulletin",Name ="删除公告",Description ="删除公告")]
        DelBulletin = 600106,
        #endregion
        #region 通知列表
        /// <summary>
        /// 查询通知列表
        /// </summary>
        [Display(GroupName = "QueryCircularList",Name ="查询通知列表",Description ="查询通知列表")]
        QueryCircularList = 600200,
        /// <summary>
        /// 通知详情
        /// </summary>
        [Display(GroupName = "CircularEntity",Name ="通知详情",Description ="通知详情")]
        CircularEntity = 600201,
        /// <summary>
        /// 新增通知
        /// </summary>
        [Display(GroupName = "AddCircular",Name ="新增通知",Description = "新增通知")]
        AddCircular = 600202,

        /// <summary>
        /// 审核通知
        /// </summary>
        [Display(GroupName = "ExamineCircular",Name ="审核通知",Description = "审核通知")]
        ExamineCircular = 600203,

        /// <summary>
        /// 提交通知
        /// </summary>
        [Display(GroupName = "CommitCircular",Name ="提交通知",Description = "提交通知")]
        CommitCircular = 600204,

        /// <summary>
        /// 修改通知
        /// </summary>
        [Display(GroupName = "UpdateCircular",Name = "修改通知",Description ="修改通知")]
        UpdateCircular = 600205,

        /// <summary>
        /// 删除通知
        /// </summary>
        [Display(GroupName = "DelCircular",Name ="删除通知",Description ="删除通知")]
        DelCircular = 600206,
        #endregion
        #endregion

        #region 公用（999）
        #region 上/下班
        /// <summary>
        /// 上班
        /// </summary>
        [Display(GroupName = "公用", Name = "上班", Description = "上班")]
        OnDuty = 999101,
        /// <summary>
        /// 下班
        /// </summary>
        [Display(GroupName = "公用", Name = "下班", Description = "下班")]
        OffDuty = 999102,
        #endregion
        #region 通话控制
        /// <summary>
        /// 分机休息
        /// </summary>
        [Display(GroupName = "公用", Name = "分机休息", Description = "分机休息")]
        Rest = 999103,
        /// <summary>
        /// 分机结束休息
        /// </summary>
        [Display(GroupName = "公用", Name = "分机结束休息", Description = "分机结束休息")]
        UnRest = 999104,
        /// <summary>
        /// 保持通话
        /// </summary>
        [Display(GroupName = "公用", Name = "保持通话", Description = "保持通话")]
        Hold = 999105,
        /// <summary>
        /// 恢复状态（接触Hold状态）
        /// </summary>
        [Display(GroupName = "公用", Name = "恢复通话（解除Hold状态）", Description = "恢复通话（解除Hold状态）")]
        UnHold = 999106,
        /// <summary>
        /// 分机呼分机
        /// </summary>
        [Display(GroupName = "公用", Name = "分机呼分机", Description = "分机呼分机")]
        TelToTel = 999107,
        /// <summary>
        /// 分机拨打外部电话
        /// </summary>
        [Display(GroupName = "公用", Name = "分机拨打外部电话", Description = "分机拨打外部电话")]
        TelToOuter = 999108,
        /// <summary>
        /// 指定模拟外线外呼（分机拨打外部电话）
        /// </summary>
        [Display(GroupName = "公用", Name = "指定模拟外线外呼（分机拨打外部电话）", Description = "指定模拟外线外呼（分机拨打外部电话）")]
        TelToOuterByLine = 999109,
        /// <summary>
        /// 来电转分机
        /// </summary>
        [Display(GroupName = "公用", Name = "来电转分机", Description = "来电转分机")]
        VisitorToTel = 999110,
        /// <summary>
        /// 来电转外部电话
        /// </summary>
        [Display(GroupName = "公用", Name = "来电转外部电话", Description = "来电转外部电话")]
        VisitorToOuter = 999111,
        /// <summary>
        /// 来电转分机组队列
        /// </summary>
        [Display(GroupName = "公用", Name = "来电转分机组队列", Description = "来电转分机组队列")]
        VisitorToGroup = 999112,
        /// <summary>
        /// 去电转外部电话
        /// </summary>
        [Display(GroupName = "公用", Name = "去电转外部电话", Description = "去电转外部电话")]
        OuterToOuter = 999113,
        /// <summary>
        /// 去电转分机
        /// </summary>
        [Display(GroupName = "公用", Name = "去电转分机", Description = "去电转分机")]
        OuterToTel = 999114,
        /// <summary>
        /// 三方会议
        /// </summary>
        [Display(GroupName = "公用", Name = "三方会议", Description = "三方会议")]
        Conference = 999115,
        #endregion
        #region 语音文件
        /// <summary>
        /// 查询语音文件
        /// </summary>
        [Display(GroupName = "公用", Name = "查询语音文件", Description = "查询语音文件")]
        VoiceQueryList = 999116,
        /// <summary>
        /// 删除语音文件
        /// </summary>
        [Display(GroupName = "公用", Name = "删除语音文件", Description = "删除语音文件")]
        RemoveVoiceFile = 999117,
        #endregion
        #region 通话
        /// <summary>
        /// 强拆分机
        /// </summary>
        [Display(GroupName = "公用", Name = "强拆分机", Description = "强拆分机")]
        ClearExt = 999118,
        /// <summary>
        /// 强拆来电
        /// </summary>
        [Display(GroupName = "公用", Name = "强拆来电", Description = "强拆来电")]
        ClearVisitor = 999119,
        /// <summary>
        /// 强拆去电
        /// </summary>
        [Display(GroupName = "公用", Name = "强拆去电", Description = "强拆去电")]
        ClearOuter = 999120,
        ///// <summary>
        ///// 通话记录（外部对接）
        ///// </summary>
        //[Display(GroupName = "通话", Name = "通话记录（外部对接）", Description = "通话记录（外部对接）")]
        //GetOutCallList = 999121,
        /// <summary>
        /// 监听分机
        /// </summary>
        [Display(GroupName = "公用", Name = "监听分机", Description = "监听分机")]
        MonitorExt = 999121,
        /// <summary>
        /// 从监听到插播状态变换
        /// </summary>
        [Display(GroupName = "公用", Name = "从监听到插播状态变换", Description = "从监听到插播状态变换")]
        MonitorExtToTalk = 999122,
        /// <summary>
        /// 从插播到监听状态变换
        /// </summary>
        [Display(GroupName = "公用", Name = "从插播到监听状态变换", Description = "从插播到监听状态变换")]
        MonitorExtToListen = 999123,
        /// <summary>
        /// 强插
        /// </summary>
        [Display(GroupName = "公用", Name = "强插", Description = "强插")]
        BargeinExt = 999124,

        #endregion
        #region 话机操作面板权限

        /// <summary>
        /// 坐席面板
        /// </summary>
        [Display(GroupName = "公用", Name = "坐席面板", Description = "坐席面板")]
        TelPanel = 999125,

        #endregion
        #region 静音和取消静音
        /// <summary>
        /// 静音
        /// </summary>
        [Display(GroupName = "公用", Name = "静音", Description = "静音")]
        Mute = 999126,
        /// <summary>
        /// 取消静音
        /// </summary>
        [Display(GroupName = "公用", Name = "取消静音", Description = "取消静音")]
        UnMute = 999127,
        #endregion
        #region 评价
        /// <summary>
        /// 评价
        /// </summary>
        [Display(GroupName = "评价",Name = "评价",Description = "评价")]
        Evaluate=999128,

		#endregion

		#region 附件
		/// <summary>
		/// 新增附件
		/// </summary>
		[Display(GroupName = "新增附件", Name = "新增附件", Description = "新增附件")]
	    AddFile = 999129,
	    /// <summary>
	    /// 删除附件
	    /// </summary>
	    [Display(GroupName = "删除附件", Name = "删除附件", Description = "删除附件")]
	    DeleteFile = 999130,
	    /// <summary>
	    /// 更新附件
	    /// </summary>
	    [Display(GroupName = "更新附件", Name = "更新附件", Description = "更新附件")]
	    UpdateFile = 999131,
	    /// <summary>
	    /// 获取附件列表
	    /// </summary>
	    [Display(GroupName = "获取附件列表", Name = "获取附件列表", Description = "获取附件列表")]
	    FileList = 999132,
		/// <summary>
		/// 获取附件实体
		/// </summary>
		[Display(GroupName = "获取附件实体", Name = "获取附件实体", Description = "获取附件实体")]
		FileEntity = 999133,
		#endregion

		#endregion
	}
}